Description

Hi,

I'm working on a project that examines changes in individual incomes over different periods of years.

I'm aware you produced a note titled "Pooling data from different waves of Understanding Society for cross-sectional analysis", which
describes how to construct yearly cross-sectional weights from pooled waves. How would you recommend constructing longitudinal
yearly weights that would be appropriate for analysing samples defined as "all individuals observed in year X and year Y" (where X
and Y are not necessarily consecutive)?

Thanks

History

#1 - 01/16/2017 03:33 PM - Victoria Nolan

- Status changed from New to In Progress

- Assignee changed from Olena Kaminska to Agnes Norris Keiller
- % Done changed from 0 to 10

- Private changed from Yes to No

Dear Agnes,

Many thanks for your enquiry. | have passed it on to our weighting team who will look into it and respond.

Best wishes, Victoria.

On behalf of the Understanding Society User Support Team.

#2 - 01/19/2017 03:33 PM - Peter Lynn

Hi.

| think the best way to do this would be to start with the year X weight, derived as in our note on pooling, and then make an adjustment to this, to
account for attrition by year Y. This would involve fitting a model (e.g. logit) based on all year X cases in your sample, in which the dep var is a 0/1
indicator of whether they also responded at year Y (and removing from the base any known to have died or emigrated before Y). Predictor variables
can be anything relevant observed at X. This will give you a predicted probability for every year X respondent of responding at year Y. Call this P. You
then need to adjust the year X weight by multiplying it by 1/P for all the cases that can be included in your analysis (those who responded in both
years).

In the above, "year" refers to sample year rather than calendar year of interview. e.g. 2010 would mean the wave 2 interview for the year 1 sample
and the wave 1 interview for the year 2 sample (regardless of whether those interviews actually took place in 2010: some will be in the early weeks of
2011).

Hope that makes sense.

Peter

#3 - 01/26/2017 10:21 AM - Agnes Norris Keiller

Dear Peter,

Thanks for your advice and apologies for not getting back to you sooner. What you suggest is very helpful and answers my query. To improve
consistency between the wave- and year-longitudinal weights | was wondering whether the predictor variables that are used to construct the standard

longitudinal weights are documented anywhere.

Thanks again,
Agnes

#4 - 01/26/2017 04:38 PM - Peter Lynn

Sadly not. But | could copy and paste a list of variables from our syntax files if you let me know which longitudinal weights you are (most) interested
in. Is it w_indinub_Iw, w_indpxub_Ilw, w_psnenub_Ilw, w_indinus_Iw, w_indpxus_Iw, w_psnenus_lw, or....7?

Peter
#5 - 02/08/2017 01:09 PM - Victoria Nolan

- Status changed from In Progress to Feedback

- % Done changed from 10 to 80

Dear Agnes,

Just checking if we can help you any further with this query?

Many thanks.

#6 - 02/08/2017 01:54 PM - Agnes Norris Keiller

Hi,

Sorry again for the delayed response - | was finalising exactly what sort of analysis | will be undertaking. If you could let me know what predictors are

used to create w_indpxub_Ilw and w_psnenub_lw, that should be everything.
Thanks

#7 - 04/13/2017 12:15 PM - Peter Lynn
- File support 703 output.docx added

- Target version setto X M

- % Done changed from 80 to 90

Agnes,

The attached extract from our weighting programmes shows the input variables for the models for each of these two weights (these do not change
from wave to wave from wave 2 onwards) and also the final models for wave 6.

These weighting adjustments are applied to the wave 1 weight, which was based on model using lots of small area indicators (Census,
neighbourhood stats, deprivation indices etc) as predictors.

Hope that helps,
Peter
#8 - 04/24/2017 01:55 PM - Victoria Nolan

- Status changed from Feedback to Closed
- % Done changed from 90 to 100

Files

support 703 output.docx 20 KB 04/13/2017 Peter Lynn

03/20/2024 22


http://www.tcpdf.org

